/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package main;

import domen.CiscenjeVirusa;
import domen.InstalacijaOS;
import domen.Komponenta;
import domen.Memorija;
import domen.Monitor;
import domen.Procesor;
import domen.Usluga;
import domen.UslugaAdapter;
import java.util.ArrayList;
import java.util.List;
import service.ServisIzvestaj;

/**
 *
 * @author student1
 */
public class Start {
    public static void main(String[] args) {
        ServisIzvestaj izvestaj=new ServisIzvestaj();
        //izvestaj.stampaj(dajKomponenteZaIzvestaj());
        izvestaj.stampaj(dajSve());
    }
    
    private static List<Komponenta> dajKomponenteZaIzvestaj(){
        List<Komponenta> komponente=new ArrayList<>();
        komponente.add(new Procesor("3.2GHz", 8, 250, "Komtrejd"));
        komponente.add(new Procesor("2.7GHz", 4, 170, "WinWin"));
        komponente.add(new Memorija("16Gb", "DDR", 200, "Gigatron"));
        komponente.add(new Monitor("1920x1080", 24, 200, "Komtrejd"));
        komponente.add(new Memorija("512Gb", "Flash", 100, "WinWin"));
        return komponente;
    }
    
    private static List<Usluga> dajUslugeZaIzvestaj(){
        List<Usluga> usluge=new ArrayList<>();
        usluge.add(new InstalacijaOS("Windows", "10", 30, 1.18, "Pera Peric"));
        usluge.add(new CiscenjeVirusa("President", 40, 1.18, "Nesa"));
        usluge.add(new InstalacijaOS("Linux", "RedHat", 30, 1.18, "Laza Lazarevic"));
        return usluge;
    }
    
    private static List<Komponenta> dajSve(){
        List<Komponenta> sve=new ArrayList<>();
        sve.addAll(dajKomponenteZaIzvestaj());
        List<Usluga> usluge=dajUslugeZaIzvestaj();
        for (Usluga usluga : usluge) {
            sve.add(new UslugaAdapter(usluga));
        }
        return sve;
    }
}
